• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

JPA2 + PostgreSQL : Catalog "POSTGRES" cannot be resolved for join table xxx

 
Duran Harris
Ranch Hand
Posts: 608
Eclipse IDE Spring Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi guys,

I'm busy upgrading an application to Java EE6 and getting an error on multiple entity classes. The error is "Catalog "POSTGRES" cannot be resolved for join table someTableName". If I select the JPA 1 facet on the project instead of JPA 2 then I do not get the errors.

Is there something I should be doing to resolve this error(application builds fine with Maven and executes without a problem)
 
Duran Harris
Ranch Hand
Posts: 608
Eclipse IDE Spring Ubuntu
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Found the problem... It seems that I selected the option 'Override default catalog on connection' underneath the jpa library configuration on the project
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic